Bug 1561369 - fzf would be nice to have in EPEL
Summary: fzf would be nice to have in EPEL
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: fzf
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Minar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1607972 1607975 1619696
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-28 08:36 UTC by Michal Minar
Modified: 2019-11-27 19:26 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 19:26:33 UTC
Type: Bug


Attachments (Terms of Use)

Description Michal Minar 2018-03-28 08:36:02 UTC
First of all, many thanks for bringing this awesome tool to Fedora and maintaining it. I've become fzf-addicted and would like to have it in EPEL as well.

I would be glad to co-maintain it in EPEL if it's a burden for you.

Regards,
Michal

Comment 1 Elliott Sales de Andrade 2018-04-06 08:28:17 UTC
I don't really have much time to figure out EPEL packaging for it, but if you open a PR I can take a look at co-maintainership, etc.

Comment 2 Michal Minar 2018-07-23 13:29:29 UTC
Hello Elliott,

I'm sorry for the delay. I was burdened with a higher priority work. But I'm still up for the co-maintainance of this in EPEL.
Before I can open a PR, there must be the epel7 branch present in the repository though. Could you please request it with fedpkg request-branch epel7  ?

Thanks a lot!

Comment 3 Elliott Sales de Andrade 2018-07-24 04:50:20 UTC
Requested: https://pagure.io/releng/fedora-scm-requests/issue/7471

Comment 4 Michal Minar 2018-07-24 06:08:36 UTC
Thanks! Waiting for issue's resolution now.

Comment 5 Michal Minar 2018-07-24 15:42:44 UTC
Branch is ready. Found out I will have to package the following dependencies first:

Error: No Package found for golang(github.com/gdamore/tcell)
Error: No Package found for golang(github.com/gdamore/tcell/encoding)
Error: No Package found for golang(github.com/mattn/go-isatty)
Error: No Package found for golang(github.com/mattn/go-shellwords)
Error: No Package found for golang(golang.org/x/crypto/ssh/terminal)

Elliott, thanks for far, I'll get back to you once I have the dependencies resolved.

Comment 6 Michal Minar 2018-07-24 15:55:45 UTC
golang-github-gdamore-tcell and golang-github-mattn-go-shellwords 
actually belong to you :-) Could you please make epel7 branches for them as well (I'll open PRs once done).

Comment 7 Elliott Sales de Andrade 2018-07-24 20:42:40 UTC
golang-github-mattn-go-shellwords is the old name and retired on Rawhide due to the new Go macros. Does EPEL still need to use the old name or is the new one (golang-github-mattn-shellwords) okay?

Comment 8 Michal Minar 2018-07-25 07:27:08 UTC
Let's go with the new name. Thanks!

Comment 9 Elliott Sales de Andrade 2018-07-25 22:59:57 UTC
Branches were made.

Comment 10 Michal Minar 2018-07-26 08:23:24 UTC
I'm sorry to bother you again. I have to ask you to create more epel7 branches for:

- golang-github-gdamore-encoding
- golang-github-lucasb-eyer-colorful

And I see you maintain another dependency: golang-gopkg-data-dog-sqlmock-1
and it looks like it has a duplicate: https://koji.fedoraproject.org/koji/packageinfo?packageID=21184

And the duplicate has epel7 build already. Deduplication would be for the best. Otherwise, epel7 branch needs to be created for golang-gopkg-data-dog-sqlmock-1 as well.

That should do it. Thank you.

Comment 11 Elliott Sales de Andrade 2018-07-26 08:44:03 UTC
That repo contains the 0 version of the API, and is likely not going to be compatible with fzf.

I requested branches for those repos as well.

Comment 12 Fedora Update System 2018-07-30 22:19:03 UTC
golang-gopkg-data-dog-sqlmock-1-1.3.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-82e93f81c0

Comment 13 Michal Minar 2018-07-31 07:40:57 UTC
Moving back to ASSIGNED. 5 Packages to go.

Comment 14 Fedora Update System 2018-07-31 18:13:44 UTC
golang-gopkg-data-dog-sqlmock-1-1.3.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-82e93f81c0

Comment 15 Fedora Update System 2018-08-07 01:04:18 UTC
golang-github-mattn-shellwords-1.0.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-fad0f1185d

Comment 16 Michal Minar 2018-08-07 06:20:59 UTC
Moving back to ASSIGNEd. 4 more packages to go.

Comment 17 Fedora Update System 2018-08-07 14:14:40 UTC
golang-github-mattn-shellwords-1.0.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-fad0f1185d

Comment 18 Jan Kurik 2018-08-14 11:07:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 19 Fedora Update System 2018-08-15 20:38:28 UTC
golang-gopkg-data-dog-sqlmock-1-1.3.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2018-08-15 22:22:04 UTC
golang-github-mattn-shellwords-1.0.3-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-fad0f1185d

Comment 21 Fedora Update System 2018-08-15 22:23:58 UTC
golang-gopkg-data-dog-sqlmock-1-1.3.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-94103e904b

Comment 22 Fedora Update System 2018-08-16 15:56:21 UTC
golang-github-mattn-shellwords-1.0.3-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-fad0f1185d

Comment 23 Fedora Update System 2018-08-16 15:56:23 UTC
golang-gopkg-data-dog-sqlmock-1-1.3.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-94103e904b

Comment 24 Fedora Update System 2018-08-20 20:12:15 UTC
golang-github-lucasb-eyer-colorful-1.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-303ff59634

Comment 25 Michal Minar 2018-08-21 14:29:24 UTC
Unfortunately, this is now stuck on bug 1619696 which is stuck on bug 1409553

I'll talk to Jan what we can do about it.

Comment 26 Michal Minar 2018-08-21 14:57:05 UTC
Elliott,

will you be OK with including all the dependencies that cannot be currently provided as rpms in epel as additional source tarballs and using them?

Comment 27 Fedora Update System 2018-08-22 02:04:20 UTC
golang-github-lucasb-eyer-colorful-1.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-303ff59634

Comment 28 Elliott Sales de Andrade 2018-08-31 03:47:15 UTC
That is up to EPEL guidelines; it is what was done for git-lfs though.

Comment 29 Fedora Update System 2018-09-02 04:36:30 UTC
golang-github-mattn-shellwords-1.0.3-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2018-09-02 04:36:32 UTC
golang-gopkg-data-dog-sqlmock-1-1.3.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 31 Fedora Update System 2018-09-07 14:17:31 UTC
golang-github-lucasb-eyer-colorful-1.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 32 Ben Cotton 2019-10-31 20:42:49 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 33 Ben Cotton 2019-11-27 19:26:33 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.